<ng-container *ngIf="{
        fmi: fmi,
        screenSize: screenSize$ | async } as vm">
  <section class="teams">
    <h2>
      {{ 'fmi.read.sign.title' | translate }}
    </h2>

    <mat-accordion>
      <mat-expansion-panel *ngFor="let team of vm.fmi?.teams; trackBy: trackBySlug">
        <mat-expansion-panel-header [collapsedHeight]="'3.5rem'" [expandedHeight]="'4rem'">
          <h3>
            {{ team | teamName:vm.screenSize:'xs' }}
            {{ team.index }}
          </h3>
          <mat-icon>
            {{ team.signature?.pictureUrl ? 'check_circle' : 'cancel' }}
          </mat-icon>
          <figure>
            <img *ngIf="'common.team.defaultPicture.url' | translate"
                 class="lazy-load"
                 [lazyLoad]="team.logoUrl"
                 [errorImage]="'common.team.defaultPicture.url' | translate"
                 [alt]="team.name" />
          </figure>
        </mat-expansion-panel-header>
        <ng-template #form>
          <form [formGroup]="controlAsFormGroup(formGroup.controls[team.slug])">
            <mat-form-field>
              <mat-label>
                {{ 'fmi.read.sign.comment.label' | translate }}
              </mat-label>
              <textarea matInput cdkTextareaAutosize
                        name="comment" formControlName="comment">

              </textarea>
              <mat-hint>
                {{ 'fmi.read.sign.comment.hint' | translate }}
              </mat-hint>
            </mat-form-field>
            <mat-checkbox name="confirmed" formControlName="confirmed">
              {{ 'fmi.read.sign.confirmed' | translate }}
            </mat-checkbox>

            <mat-form-field class="signature">
              <mat-label>
                {{ 'fmi.read.sign.signature' | translate }}
              </mat-label>
              <app-signature-control formControlName="pictureUrl"></app-signature-control>
            </mat-form-field>

            <strong>
              {{ user.firstName }}
              {{ user.lastName }}
            </strong>
          </form>
        </ng-template>
        <ng-template #article>
          <article *ngIf="team.signature">
            <h4>
              {{ 'fmi.read.sign.comment.label' | translate }}
            </h4>
            <p *ngIf="team.signature.comment">
              {{ team.signature.comment }}
            </p>
            <img *ngIf="team.signature.pictureUrl"
                 [src]="team.signature.pictureUrl"
                 [alt]="team.signature.user.firstName + ' ' + team.signature.user.lastName" />
            <strong>
              {{ team.signature.user.firstName }}
              {{ team.signature.user.lastName }}
            </strong>
          </article>
        </ng-template>
        <ng-container *ngIf="formGroup.controls[team.slug] then form; else article"></ng-container>
      </mat-expansion-panel>
    </mat-accordion>
  </section>
</ng-container>
